
package de.ivu.elect.was.exchange.ergebnis;

import javax.enterprise.inject.Instance;
import javax.inject.Inject;

import de.ivu.elect.business.ergebnis.control.NlWasModelT11BulkExportExchange;
import de.ivu.elect.core.exchange.wahl.AbstractDefaultNlExportArtefaktNachSystemExportstatusBulkExportExchange;

public class DefaultNlWasModelT11BulkExportExchange extends AbstractDefaultNlExportArtefaktNachSystemExportstatusBulkExportExchange implements NlWasModelT11BulkExportExchange {

  @Inject
  private transient Instance<NlWasModelT11BulkExportMapper> mappers;

  public DefaultNlWasModelT11BulkExportExchange() {
    super();
  }

  @Override
  protected Iterable< ? extends NlWasModelT11BulkExportMapper> getAllSupportedMapper() {
    return mappers;
  }
}
